# azure.loganalytics.models module

exception `azure.loganalytics.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.loganalytics.models.``QueryBody`(*, query: str, timespan: str = None, workspaces=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Analytics query. Learn more about the [Analytics query syntax](https://azure.microsoft.com/documentation/articles/app-insights-analytics-reference/).

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - query (str) – Required. The query to execute.
  - timespan (str) – Optional. The timespan over which to query data. This is an ISO8601 time period value. This timespan is applied in addition to any that are specified in the query expression.
  - workspaces (list[str]) – A list of workspaces that are included in the query.

class `azure.loganalytics.models.``Column`(*, name: str = None, type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A table column.

  A column in a table.

  Parameters:

  - name (str) – The name of this column.
  - type (str) – The data type of this column.

class `azure.loganalytics.models.``Table`(*, name: str, columns, rows, **kwargs)

  Bases: `msrest.serialization.Model`

  A query response table.

  Contains the columns and rows for one table in a query response.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the table.
  - columns (list[Column]) – Required. The list of columns in this table.
  - rows (list[list[object]]) – Required. The resulting rows from this query.

class `azure.loganalytics.models.``QueryResults`(*, tables, **kwargs)

  Bases: `msrest.serialization.Model`

  A query response.

  Contains the tables, columns & rows resulting from a query.

  All required parameters must be populated in order to send to Azure.

  Parameters: | tables (list[Table]) – Required. The list of tables, columns and rows.

class `azure.loganalytics.models.``ErrorDetail`(*, code: str, message: str, target: str = None, value: str = None, resources=None, additional_properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error details.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - code (str) – Required. The error’s code.
  - message (str) – Required. A human readable error message.
  - target (str) – Indicates which property in the request is responsible for the error.
  - value (str) – Indicates which value in ‘target’ is responsible for the error.
  - resources (list[str]) – Indicates resources which were responsible for the error.
  - additional_properties (object) –

class `azure.loganalytics.models.``ErrorInfo`(*, code: str, message: str, details=None, innererror=None, additional_properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The code and message for an error.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - code (str) – Required. A machine readable error code.
  - message (str) – Required. A human readable error message.
  - details (list[ErrorDetail]) – error details.
  - innererror (ErrorInfo) – Inner error details if they exist.
  - additional_properties (object) –

class `azure.loganalytics.models.``ErrorResponse`(*, error, **kwargs)

  Bases: `msrest.serialization.Model`

  Error details.

  Contains details when the response code indicates an error.

  All required parameters must be populated in order to send to Azure.

  Parameters: | error (ErrorInfo) – Required. The error details.